<?php

function wp_add_gayl_url_param($link, $params) {
	return $link . (strpos($link, '?') > -1 ? '&' : '?') . http_build_query($params);
}

function wpgayl_display_form_amount($value) {
	if(isset($value)) {
		return "<span class=\"js-gayl-set-amount\" data-amount=\"${value}\" >&pound;" . str_replace(".00", "", number_format($value, 2)) . "</span>";
	}
}

function wpgayl_hex_to_yiq($hex) {
	$rgb = wpgayl_hex_to_rgb($hex);
	return ( ($rgb['r'] * 299) + ($rgb['g'] * 587) + ($rgb['b'] * 114) ) / 1000;
}

function wpgayl_hex_to_rgb($hex) {
	$hex = str_replace('#', '', $hex);

	if(strlen($hex) == 3) {
		return [
			'r' => hexdec(substr($hex, 0, 1)),
			'g' => hexdec(substr($hex, 1, 1)),
			'b' => hexdec(substr($hex, 2, 1)),
		];
	}
	elseif(strlen($hex) == 6) {
		return [
			'r' => hexdec(substr($hex, 0, 2)),
			'g' => hexdec(substr($hex, 2, 2)),
			'b' => hexdec(substr($hex, 4, 2)),
		];
	}

	return null;
}