<?php

	add_action('template_redirect', 'wpgayl_delete_post', 10, 0);

	function wpgayl_delete_post() {
		if (!empty($_GET['inline']) == "true") {
			$post_id = array_map('absint', array($_GET['product']));
		} 
		else {
			$post_id = array_map('absint', $_GET['product']);
		}

		if (empty($post_id)) {
			wp_safe_redirect(add_query_arg(['message' => 'nothing_deleted'], menu_page_url('wpgayl_buttons', false)));
			exit;
		}

		foreach ($post_id as $to_delete) {
			$to_delete = intval($to_delete);

			if (!$to_delete) {
				wp_safe_redirect(add_query_arg(['message' => 'error'], menu_page_url('wpgayl_buttons', false)));
				exit;
			}

			wp_delete_post($to_delete, true);
			delete_post_meta($to_delete, 'wpgayl_data');
		}

		wp_safe_redirect(add_query_arg(['message' => 'deleted'], menu_page_url('wpgayl_buttons', false)));
		exit;
	}

	do_action('template_redirect');
?>